#pragma once

#include <Windows.h>
#include "CComm.h"

class CSocket : public CComm
{
public:
	typedef struct {
		char* ipAddr;
		int nPort;
	} CONNECTION;

	CSocket();
	~CSocket();

	bool Open( void *p );
	void Close();

	DWORD Receive();
	DWORD Transmit( const BYTE* pBuf, DWORD toWriteBytes );

private:
	bool fTerminate;
	WSADATA mWsaData;
	SOCKET mSock;
	bool mWinsockErr;
};
